> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create a direct employee

POST https://api.letsdeel.com/rest/people
Content-Type: application/json

Creates a direct employee record in Deel's HRIS, hired under the organization's own legal entity. Provisions both a person and an associated employment contract. Applicable when onboarding employees managed through your own payroll providers. It can support downstream integrations, such as IT equipment orders.

 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/reference/endpoints/people/create-a-direct-employee-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (PeoplePostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful operation.

- `data` (PeoplePostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `error` (PeoplePostResponsesContentApplicationJsonSchemaError, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `error` (PeoplePostResponsesContentApplicationJsonSchemaError, required)

## Types

### PeoplePostRequestBodyContentApplicationJsonSchemaData

- `client` (PeoplePostRequestBodyContentApplicationJsonSchemaDataClient, required) — The entity that is hiring the employee
- `employee` (PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployee, required) — The person that is being hired
- `employment` (PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployment, required) — The employment details of the employee
- `compensation_details` (PeoplePostRequestBodyContentApplicationJsonSchemaDataCompensationDetails, required) — The compensation details of the employee

### PeoplePostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — The unique identifier of the created employee record
- `employee` (PeoplePostResponsesContentApplicationJsonSchemaDataEmployee, required) — The person that is being hired
- `employment` (PeoplePostResponsesContentApplicationJsonSchemaDataEmployment, required) — The employment details of the employee
- `compensation_details` (PeoplePostResponsesContentApplicationJsonSchemaDataCompensationDetails, required) — The compensation details of the employee

### PeoplePostResponsesContentApplicationJsonSchemaError

- `code` (string, required) — Error code identifying the type of error
- `message` (string, required) — Human readable error message

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PeoplePostRequestBodyContentApplicationJsonSchemaDataClient

The entity that is hiring the employee

- `team` (PeoplePostRequestBodyContentApplicationJsonSchemaDataClientTeam, required) — The team information for the employee
- `legal_entity` (PeoplePostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity, required) — The legal entity information for the employee
- `department` (PeoplePostRequestBodyContentApplicationJsonSchemaDataClientDepartment, optional) — The department information for the employee

### PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployee

The person that is being hired

- `email` (string, required) — The personal email of the person being hired
- `country` (string, required) — The country of the person being hired
- `last_name` (string, required) — The last name of the person being hired
- `first_name` (string, required) — The first name of the person being hired
- `nationality` (string, required) — The nationality of the person being hired
- `state` (string, optional) — The state of the person being hired
- `work_email` (string, optional) — The work email of the person being hired
- `external_id` (string, optional) — An external identifier for the person being hired

### PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployment

The employment details of the employee

### PeoplePostRequestBodyContentApplicationJsonSchemaDataCompensationDetails

The compensation details of the employee

- `salary` (float, required) — The salary of the employee
- `currency` (string, required) — The currency of the salary
- `scale` (enum, optional, default: ANNUAL) — The scale at which the salary is paid
  - Allowed values: `ANNUAL`, `MONTHLY`, `SEMIMONTHLY`, `BIWEEKLY`, `WEEKLY`, `DAILY`, `HOURLY`

### PeoplePostResponsesContentApplicationJsonSchemaDataEmployee

The person that is being hired

- `email` (string, required) — The personal email of the person being hired
- `last_name` (string, required) — The last name of the person being hired
- `first_name` (string, required) — The first name of the person being hired
- `nationality` (string, required) — The nationality of the person being hired
- `work_email` (string, optional) — The work email of the person being hired
- `external_id` (string, optional) — An external identifier for the person being hired

### PeoplePostResponsesContentApplicationJsonSchemaDataEmployment

The employment details of the employee

- `type` (enum, required) — The type of employment
  - Allowed values: `FULL_TIME`, `PART_TIME`
- `country` (string, required) — The country of the employment
- `end_date` (string, required) — The end date of the employment
- `job_title` (string, required) — The job title of the employment
- `seniority` (string, required) — The seniority of the employment
- `start_date` (string, required) — The start date of the employment
- `contract_id` (string, required) — The unique identifier of the worker contract
- `part_time_percentage` (double, optional) — The percentage of PART_TIME employment

### PeoplePostResponsesContentApplicationJsonSchemaDataCompensationDetails

The compensation details of the employee

- `salary` (float, required) — The salary of the employee
- `currency` (string, required) — The currency of the salary
- `scale` (enum, optional, default: ANNUAL) — The scale at which the salary is paid
  - Allowed values: `ANNUAL`, `MONTHLY`, `SEMIMONTHLY`, `BIWEEKLY`, `WEEKLY`, `DAILY`, `HOURLY`

### PeoplePostRequestBodyContentApplicationJsonSchemaDataClientTeam

The team information for the employee

- `id` (string, required) — The team that the employee is part of
- `direct_manager_id` (string, optional) — The direct manager of the employee

### PeoplePostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity

The legal entity information for the employee

- `id` (string, required) — The legal entity that the employee is part of

### PeoplePostRequestBodyContentApplicationJsonSchemaDataClientDepartment

The department information for the employee

- `id` (string, required) — The department that the employee is part of

### PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployment0

- `type` (enum, required) — The type of employment
  - Allowed values: `PART_TIME`
- `job_title` (string, required) — The job title of the employment
- `seniority` (string, required) — The seniority of the employment
- `start_date` (string, required) — The start date of the employment
- `part_time_percentage` (double, required) — The percentage of PART_TIME employment
- `end_date` (string, optional) — The end date of the employment
- `document_template_id` (string, optional) — The document template ID for the employment contract

### PeoplePostRequestBodyContentApplicationJsonSchemaDataEmployment1

- `type` (enum, required) — The type of employment
  - Allowed values: `FULL_TIME`
- `job_title` (string, required) — The job title of the employment
- `seniority` (string, required) — The seniority of the employment
- `start_date` (string, required) — The start date of the employment
- `end_date` (string, optional) — The end date of the employment
- `document_template_id` (string, optional) — The document template ID for the employment contract

## Examples

**Request**

```json
{
  "data": {
    "client": {
      "team": {
        "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
      },
      "legal_entity": {
        "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
      }
    },
    "employee": {
      "email": "email@email.com",
      "country": "US",
      "last_name": "Doe",
      "first_name": "John",
      "nationality": "BR"
    },
    "employment": {
      "job_title": "Software Engineer",
      "seniority": "Senior",
      "start_date": "2020-01-01",
      "type": "FULL_TIME"
    },
    "compensation_details": {
      "salary": 10000,
      "currency": "USD"
    }
  }
}
```

**Response**

```json
{
  "data": {
    "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "employee": {
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "nationality": "BR",
      "work_email": "work@email.com",
      "external_id": "1234"
    },
    "employment": {
      "type": "FULL_TIME",
      "country": "US",
      "end_date": "2029-01-01",
      "job_title": "Software Engineer",
      "seniority": "Senior",
      "start_date": "2020-01-01",
      "contract_id": "3w6pd6r",
      "part_time_percentage": 23
    },
    "compensation_details": {
      "salary": 10000,
      "currency": "USD",
      "scale": "ANNUAL"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people"

payload = { "data": {
        "client": {
            "team": { "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e" },
            "legal_entity": { "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d" }
        },
        "employee": {
            "email": "email@email.com",
            "country": "US",
            "last_name": "Doe",
            "first_name": "John",
            "nationality": "BR"
        },
        "employment": {
            "job_title": "Software Engineer",
            "seniority": "Senior",
            "start_date": "2020-01-01",
            "type": "FULL_TIME"
        },
        "compensation_details": {
            "salary": 10000,
            "currency": "USD"
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"client":{"team":{"id":"cbb25647-31e0-485d-9d5f-bdd48296aa1e"},"legal_entity":{"id":"cfebc769-abe9-4646-83b9-28cf79f23a0d"}},"employee":{"email":"email@email.com","country":"US","last_name":"Doe","first_name":"John","nationality":"BR"},"employment":{"job_title":"Software Engineer","seniority":"Senior","start_date":"2020-01-01","type":"FULL_TIME"},"compensation_details":{"salary":10000,"currency":"USD"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people"

	payload := strings.NewReader("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"employee\": {\n      \"email\": \"email@email.com\",\n      \"country\": \"US\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"nationality\": \"BR\"\n    },\n    \"employment\": {\n      \"job_title\": \"Software Engineer\",\n      \"seniority\": \"Senior\",\n      \"start_date\": \"2020-01-01\",\n      \"type\": \"FULL_TIME\"\n    },\n    \"compensation_details\": {\n      \"salary\": 10000,\n      \"currency\": \"USD\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"employee\": {\n      \"email\": \"email@email.com\",\n      \"country\": \"US\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"nationality\": \"BR\"\n    },\n    \"employment\": {\n      \"job_title\": \"Software Engineer\",\n      \"seniority\": \"Senior\",\n      \"start_date\": \"2020-01-01\",\n      \"type\": \"FULL_TIME\"\n    },\n    \"compensation_details\": {\n      \"salary\": 10000,\n      \"currency\": \"USD\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/people")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"employee\": {\n      \"email\": \"email@email.com\",\n      \"country\": \"US\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"nationality\": \"BR\"\n    },\n    \"employment\": {\n      \"job_title\": \"Software Engineer\",\n      \"seniority\": \"Senior\",\n      \"start_date\": \"2020-01-01\",\n      \"type\": \"FULL_TIME\"\n    },\n    \"compensation_details\": {\n      \"salary\": 10000,\n      \"currency\": \"USD\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/people', [
  'body' => '{
  "data": {
    "client": {
      "team": {
        "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
      },
      "legal_entity": {
        "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
      }
    },
    "employee": {
      "email": "email@email.com",
      "country": "US",
      "last_name": "Doe",
      "first_name": "John",
      "nationality": "BR"
    },
    "employment": {
      "job_title": "Software Engineer",
      "seniority": "Senior",
      "start_date": "2020-01-01",
      "type": "FULL_TIME"
    },
    "compensation_details": {
      "salary": 10000,
      "currency": "USD"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"employee\": {\n      \"email\": \"email@email.com\",\n      \"country\": \"US\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"nationality\": \"BR\"\n    },\n    \"employment\": {\n      \"job_title\": \"Software Engineer\",\n      \"seniority\": \"Senior\",\n      \"start_date\": \"2020-01-01\",\n      \"type\": \"FULL_TIME\"\n    },\n    \"compensation_details\": {\n      \"salary\": 10000,\n      \"currency\": \"USD\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "client": [
      "team": ["id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"],
      "legal_entity": ["id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"]
    ],
    "employee": [
      "email": "email@email.com",
      "country": "US",
      "last_name": "Doe",
      "first_name": "John",
      "nationality": "BR"
    ],
    "employment": [
      "job_title": "Software Engineer",
      "seniority": "Senior",
      "start_date": "2020-01-01",
      "type": "FULL_TIME"
    ],
    "compensation_details": [
      "salary": 10000,
      "currency": "USD"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```